org.eclnt.util.valuemgmt

## Class LocalDate18Manager

- java.lang.Object
- - org.eclnt.util.valuemgmt.LocalDate18Manager

-     public class LocalDate18Manager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalDate18Manager()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.time.LocalDateTime` | `convertDateTimeToLocalTime(java.util.Date d, java.lang.String timezone)`
    `static java.time.LocalDate` | `convertDateToLocalDate(java.util.Date d, java.lang.String timezone)`
    `static java.time.LocalTime` | `convertDateToLocalTime(java.util.Date d, java.lang.String timezone)`
    `static java.util.Date` | `convertLocalDateTimeToDate(java.time.LocalDateTime ldt, java.lang.String timezone)`
    `static java.util.Date` | `convertLocalDateToDate(java.time.LocalDate ld, java.lang.String timezone)`
    `static java.util.Date` | `convertLocalTimeToDate(java.time.LocalTime ld, java.lang.String timezone)`
    `static java.lang.String` | `convertObject2ValueString(java.lang.Object o)`
    `static java.lang.Object` | `convertStringIntoObject(java.lang.String attrValue, java.lang.Class attrClass)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalDate18Manager

          public LocalDate18Manager()

  - ### Method Detail

    - #### convertObject2ValueString

          public static java.lang.String convertObject2ValueString(java.lang.Object o)

    - #### convertStringIntoObject

          public static java.lang.Object convertStringIntoObject(java.lang.String attrValue,
                                                                 java.lang.Class attrClass)

    - #### convertLocalDateToDate

          public static java.util.Date convertLocalDateToDate(java.time.LocalDate ld,
                                                              java.lang.String timezone)

    - #### convertLocalTimeToDate

          public static java.util.Date convertLocalTimeToDate(java.time.LocalTime ld,
                                                              java.lang.String timezone)

    - #### convertLocalDateTimeToDate

          public static java.util.Date convertLocalDateTimeToDate(java.time.LocalDateTime ldt,
                                                                  java.lang.String timezone)

    - #### convertDateToLocalDate

          public static java.time.LocalDate convertDateToLocalDate(java.util.Date d,
                                                                   java.lang.String timezone)

    - #### convertDateToLocalTime

          public static java.time.LocalTime convertDateToLocalTime(java.util.Date d,
                                                                   java.lang.String timezone)

    - #### convertDateTimeToLocalTime

          public static java.time.LocalDateTime convertDateTimeToLocalTime(java.util.Date d,
                                                                           java.lang.String timezone)

Copyright © CaptainCasa Gmbh. All Rights Reserved.